-- phpMyAdmin SQL Dump
-- version 3.2.4deb2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jan 10, 2010 at 10:20 PM
-- Server version: 5.0.51
-- PHP Version: 5.2.11-2

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `database`
--

-- --------------------------------------------------------

--
-- Table structure for table `arguments`
--

CREATE TABLE IF NOT EXISTS `arguments` (
  `id` int(11) NOT NULL auto_increment,
  `debate_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL COMMENT 'id of pro or con',
  `subject` varchar(250) collate utf8_bin NOT NULL,
  `text` text collate utf8_bin NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Table structure for table `comments`
--

CREATE TABLE IF NOT EXISTS `comments` (
  `id` int(11) NOT NULL auto_increment,
  `debate_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `anonymous_name` varchar(30) collate utf8_bin NOT NULL,
  `text` varchar(1000) collate utf8_bin NOT NULL,
  `stance` tinyint(1) NOT NULL default '0' COMMENT '0=neutral, 1=pro, 2=con',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Table structure for table `debates`
--

CREATE TABLE IF NOT EXISTS `debates` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(250) collate utf8_bin NOT NULL,
  `pro_user` int(11) NOT NULL,
  `con_user` int(11) NOT NULL,
  `wait_user` int(11) NOT NULL,
  `votes_pro` int(11) default '0',
  `votes_con` int(11) default '0',
  `ratings_avg` float default '0',
  `ratings_count` int(11) default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Table structure for table `invites`
--

CREATE TABLE IF NOT EXISTS `invites` (
  `id` int(11) NOT NULL auto_increment,
  `email` varchar(64) collate utf8_bin NOT NULL,
  `hash` varchar(40) collate utf8_bin NOT NULL,
  `invited` timestamp NULL default CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE IF NOT EXISTS `users` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(16) collate utf8_bin NOT NULL,
  `password` varchar(16) collate utf8_bin NOT NULL,
  `joined` timestamp NULL default CURRENT_TIMESTAMP,
  `email` varchar(64) collate utf8_bin NOT NULL,
  `name` text collate utf8_bin,
  `sex` tinyint(1) default NULL COMMENT '0=undefined, 1=male, 2=female',
  `country` varchar(32) collate utf8_bin default NULL,
  `interests` text collate utf8_bin,
  `hash` varchar(40) collate utf8_bin default NULL,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_bin;
