<?php
    class DB
    {
        /*
            Opens/closes the DBMS connection, and safekeeps its identifier.
            Supports only one instance via the singleton function.
        */
        
        private static $instance;
        private static $connection_id = false; //connection identifier
        
        public static function singleton()
        {
            if (!isset(self::$instance))
                self::$instance = new DB();
            return self::$instance;
        }
        private function __construct() {}
        
        public function open()
        {
            /*
                Opens the database using information stored in database_secret
                if it's not already open.
                    resource $instance->open();
                Returns connection identifier on success, false on faliure
            */
            
            if (self::$connection_id == false)
            {
              $tmp=explode("\n",file_get_contents('./config/database_secret'));
                
              self::$connection_id = 
                  mysql_connect('localhost', trim($tmp[0]), trim($tmp[1]));
              mysql_select_db (trim ($tmp[2]), self::$connection_id);
              
              if (self::$connection_id == false)
                  return error(debug_backtrace(), mysql_error());
            }
            return self::$connection_id;
        }
        
        public function close()
        {
            /*
                It closes the connection to the DBMS server
                    bool $instance->close();
                Returns true on success, false otherwise
            */
            
            if (self::$connection_id == false)
                return false;
            else if(!mysql_close(self::$connection_id))
                return error(debug_backtrace(), mysql_error());
            else
                return true;
        }
    }
?>
