<?php
    function id ($quasi_name = '')
    {
        /*
            Returns a natural number n+1 where n is the last one returned or 0.
            It can also keep track of id's in respect to their quasi-names eg.:
               id(); id(); id(); id('comment'); id('div'); id('comment');
               //would return respectively: 1, 2, 3, 1, 1, 2
            Returns a "unique" number identifier
        */
        
        static $id = array();
        
        if (!isset($id[$quasi_name]))
            $id[$quasi_name] = 0;

        return ++$id[$quasi_name];
    }
?>
