<?php
      require_once('./include/common.php');
      identify();

      $db=DB::singleton();
      $connection_id = $db->open();
      
      $created='no';
      $tmp = array(false, false, false);
      if (isset($_POST['submit']))
      {
          //validate what's mandatory
          if (strip_tags($_POST['username']) == '' || !ctype_alnum($_POST['username']))
              $tmp[0] = true;
          if (strip_tags($_POST['password']) == '')
              $tmp[1] = true;
          if (!preg_match('/..*@..*\....*/',strip_tags($_POST['email'])))
              $tmp[2] = true;
          
          if (!$tmp[0] && !$tmp[1] && !$tmp[2])
          {
            $created = !database('user_get', $_POST['username']);
            if ($created)
                $created = database ('user_create',
                                     $_POST['username'],
                                     $_POST['password'],
                                     $_POST['email'],
                                     $_POST['name'],
                                     $_POST['sex'],
                                     $_POST['country'],
                                     $_POST['interests']
                                    );
          }
      }
      
      if (!$created || $created=='no')
      { 
        echo '
        <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="hr" lang="hr">
        
         <head>
               <title>'.L('sitename').' - '.L('newdebate').'</title>
               
               <meta name="description" content="'.L('sitename').' - '.L('newdebate').'" />
               <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
               
               <link rel="stylesheet" href="./include/style.css" type="text/css" />
               <script src="./include/post.js" type="text/javascript"></script>
         </head>
        
         <body lang="hr">'."\n";
        
        template ('login_stripe'); 
        
        if (!$created)
        {
            template ('error_message', L('createaccountfail'));
        }
        
        function field($string, $highlight=false, $type='text', $mandatory=false)
        {
            //Generates XHTML for a "field" of a form (in a div of display:table)
            
            $value = $class = $asterisk = '';
            if ($mandatory)
              $asterisk = '*';
            if ($highlight)
              $class = ' highlight';
            if (isset($_POST[$string]) && $type!='password')
              $value = strip_tags($_POST[$string]);
            
            echo '
              <div class="row">
                <div id="'.$string.'1" class="cell'.$class.'">
                  <p>'.L($string).$asterisk.':</p>
                </div>
                <div id="'.$string.'2" class="cell'.$class.'">
                  <input name="'.$string.'" type="'.$type.'" value="'.$value.'"
                   onfocus="getElementById(\''.$string.'1\').className=\'cell\'
                            getElementById(\''.$string.'2\').className=\'cell\'"
                  />
                </div>
              </div>'."\n";
        }
        
        echo'
          <form action="" method="post">
            <div style="display: table;">'."\n";
        field ('username', $tmp[0], 'text', true);
        field ('password', $tmp[1], 'password', true);
        field ('email', $tmp[2], 'text', true);
        field ('name');
        $tmp = array ('','');
        if (isset($_POST['sex']))
        {
            if ($_POST['sex'] == 'm')
                $tmp[0] = ' selected="selected"';
            elseif ($_POST['sex'] == 'f')
                $tmp[1] = ' selected="selected"';
        }
        echo '
              <div class="row">
                <div class="cell">
                </div>
                <div class="cell">
                  <select name="sex">
                    <option value="0">'.L('sex').'</option>
                    <option value="m"'.$tmp[0].'>'.L('male').'</option>
                    <option value="f"'.$tmp[1].'>'.L('female').'</option>
                  </select>
                </div>
              </div>'."\n";

        field ('country');
        field ('interests');
        echo '
            </div>
              <p><input name="submit" value="'.L('createaccount').'" type="submit" /></p>
          </form>
          
          <p>
            <br /><br />
            '.L('requiredfields').'
          </p>
         
         </body>
        </html>'."\n";
      }
      else
      {
        if (isset($_SESSION['invite_id']))
            $tmp='debate.php?invite_id='.$_SESSION['invite_id'];
        else
            $tmp='index.php';
        
        //Inform user that the his account has been created:
        $_SESSION['last_message']=L('createaccountdone');
        header('HTTP/1.1 303 See Other');
        header('Location: http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME']).'/index.php');
      }
      
      $db->close();//close the connection to DBMS
    ?>

