<?php
      require_once('./include/common.php');
      identify();

      $db=DB::singleton();
      $connection_id = $db->open();
      
      $created='no';
      $tmp = array(false, false, false);
      if (isset($_POST['submit']) && isset($_SESSION['user_id']))
      {
          //validate all fields (tmp[x] = true fields will be highlighted)
          if (strip_tags($_POST['debatesubject']) == '')
              $tmp[0] = true;
          if (strip_tags($_POST['challengeuser']) == '')
              $tmp[1] = true;
          switch (strip_tags($_POST['stance']))
          {
              case 'p':
                  $pro_user = $_SESSION['user_id'];
                  $con_user = database ('user_get', $_POST['challengeuser']);
                  if ($con_user)
                    $con_user = $con_user['id'];
                  else if (preg_match('/..*@..*\....*/',strip_tags($_POST['challengeuser'])))
                    $con_user = database ('invite_create', $_POST['challengeuser']) * -1;
                  else
                    $tmp[1]=true;
                  $wait_user = $con_user;
                  break;
              case 'c':
                  $pro_user = database ('user_get', $_POST['challengeuser']);
                  if ($pro_user)
                    $pro_user = $pro_user['id'];
                  else if (preg_match('/..*@..*\....*/',strip_tags($_POST['challengeuser'])))
                    $pro_user = database ('invite_create', $_POST['challengeuser']) * -1;
                  else
                    $tmp[1]=true;
                  $con_user = $_SESSION['user_id'];
                  $wait_user = $pro_user;
                  break;
              default:
                  $tmp[2]=true;
          }
          if (!$tmp[0]&&!$tmp[2] && $pro_user&&$con_user&&$pro_user!=$con_user)
          {
            //try to create the debate
            $created = database('debate_create',
                                 $_POST['debatesubject'],
                                 $pro_user,
                                 $con_user,
                                 $wait_user
                               );
          }
          else if (!$tmp[2] && ($pro_user == false || $con_user == false))
          {
              $created=false;
              $tmp[1]=true;
          }
          else if (!$tmp[2] && ($pro_user==$con_user))
              $tmp[1]=true;
      }
      if (!$created || $created=='no')
      { 
      
        echo '
        <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
        <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="hr" lang="hr">
        
         <head>
               <title>'.L('sitename').' - '.L('newdebate').'</title>
               
               <meta name="description" content="'.L('sitename').' - '.L('newdebate').'" />
               <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
               
               <link rel="stylesheet" href="./include/style.css" type="text/css" />
               <script src="./include/post.js" type="text/javascript"></script>
         </head>
        
         <body lang="hr">'."\n";
        
        template ('login_stripe');
         
        if (!$created)
        {
            template ('error_message', L('createdebatefail'));
        }
        function field($string, $highlight=false, $type='text')
        {
            //Generates XHTML for a "field" of a form (in a div of display:table)
            $value = $class = '';
            if ($highlight)
              $class = ' highlight';
            if (isset($_POST[$string]) && $type!='password')
              $value = strip_tags($_POST[$string]);
            echo '
              <div class="row">
                <div id="'.$string.'1" class="cell'.$class.'">
                  <p>'.L($string).':</p>
                </div>
                <div id="'.$string.'2" class="cell'.$class.'">
                  <input name="'.$string.'" type="'.$type.'" value="'.$value.'"
                   onfocus="getElementById(\''.$string.'1\').className=\'cell\'
                            getElementById(\''.$string.'2\').className=\'cell\'"
                  />
                </div>
              </div>'."\n";
        }
        echo'
          <form action="./newdebate.php" method="post">
            <div class="table">'."\n";
        field ('debatesubject', $tmp[0]);
        field ('challengeuser', $tmp[1]);
        
        $class = '';
        if ($tmp[2] == true)
            $class = ' highlight';
        $tmp = array('', '');
        if (isset($_POST['stance']))
        {
            if ($_POST['stance'] == 'p')
                $tmp[0] = ' selected="selected"';
            elseif ($_POST['stance'] == 'c')
                $tmp[1] = ' selected="selected"';
        }
        echo '
              <div class="row">
                <div class="cell">
                  <p>'.L('stancequestion').':</p>
                </div>
                <div class="cell'.$class.'" onfocus="this.className=\'cell\'">
                  <select name="stance">
                    <option value="0">'.L('select').'</option>
                    <option value="p"'.$tmp[0].'>'.L('stancepro').'</option>
                    <option value="c"'.$tmp[1].'>'.L('stancecon').'</option>
                  </select>
                </div>
              </div>'."\n";
        echo '
            </div>
            <p>
            <input name="submit" value="'.L('createdebate').'" type="submit" />
            </p>
          </form>
          
         </body>
        </html>'."\n";
      }
      else
      {
        //Send an e-mail to the other user:
        $link = 'http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME']).'/redirect.php?debate_id='.$created;
        $debate = database ('debate_get', $created); //$created is database id
        $user1 = database ('user_get', $_SESSION['user_id']);
        $user2 = database ('user_get', $_POST['challengeuser']);
        if (!$user2)
        {
            $user2 = database ('invite_get', database('invite_create', $_POST['challengeuser']));
            $user2['username'] = $user2['email'];
            $link = $link.'&invite_id='.$user2['id'].'&invite_hash='.$user2['hash'];
        }
        
        if ($_POST['stance'] == 'p')
        {
            $stance1 = L('stancepro');
            $stance2 = L('stancecon');
        }
        else
        {
            $stance1 = L('stancecon');
            $stance2 = L('stancepro');
        }
        
        $message = '
            <html>
             <head>
                <title>'.L('sitename').'</title>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
             </head>
             <body>
              '.sprintf (L('mail_debate_invite'), $user2['username'], $user1['username'], $debate['subject'], $stance1, $stance2, '<a href="'.$link.'">'.$link.'</a>').'
             </body>
            </html>';
        $headers = 'MIME-Version: 1.0'."\r\n".'Content-type: text/html; charset=utf-8'."\r\n";
        mail($user2['email'], L('sitename'), $message, $headers);

        //Inform user that the debate has been created:
        $_SESSION['last_message']=L('createdebatedone');
        header('HTTP/1.1 303 See Other');
        header('Location: http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME']).'/index.php');
      }
      $db->close();//close the connection to the DBMS
    ?>
