<?php
    /*
        This simply redirects to one of the allowed pages (those in the base
        directory of the application) for the purpose of avoiding resubmitting
        form data due to the 'double submit problem' (refresh and alike).
    */
    
    require_once('./include/common.php');
    identify();
    
    if ( isset($_SESSION['lastfile'])
         && dirname(realpath(__FILE__)) == dirname(realpath($_SESSION['lastfile']))
         && $_SESSION['lastfile'] != basename(__FILE__)
       )
    {
        $tmp = $_SESSION['lastfile'];
        if ($tmp == 'debate.php' && isset($_SESSION['debate_id']))
            $tmp = $tmp.'?debate_id='.$_SESSION['debate_id'];
    }
    else if (isset($_SESSION['debate_id']) && isset($_SESSION['invite_id']) && isset($_SESSION['invite_hash']))
    {
        $tmp = 'debate.php?debate_id='.$_SESSION['debate_id'].
                          '&invite_id='.$_SESSION['invite_id'].
                          '&invite_hash='.$_SESSION['invite_hash'];
    }
    else
        $tmp='index.php';
    
    header('HTTP/1.1 303 See Other');
    header('Location: http://'.$_SERVER['SERVER_NAME'].dirname($_SERVER['SCRIPT_NAME']).'/'.$tmp);
?>
