<?php
    function error()
    {
        /*
            Deals with errors that are passed to it. Syntax:
                false error(mixed $1, mixed $2, ...)
            Allways returns false, so it can be used for an error return value.
        */
        
        $time = @date('Y-m-d, G:i:s');
        $error_report = "\n<$time>\n";
        for ($i=1; $i<=func_num_args(); $i++)
        {
            $tmp = func_get_arg($i-1);
            if (is_array($tmp))
                $tmp = print_r($tmp, true);
            $error_report .= "<$i>\n$tmp\n</$i>\n";
        }
        $error_report .= "</$time>\n\n";
        
        require_once ('./common/config.php');
        if (C('ErrorLogging') == 'yes' && filesize('./error.log')+strlen($error_report) <= C ('ErrorLogMaxBytes'))
            file_put_contents('./error.log', $error_report, FILE_APPEND);
        
        return false;
    }
?>
