<?php
    function identify()
    {
        /*
           It starts the session. If the session doesn't already contain user
           information, it calls user_identify to verify the identity from an
           existing cookie or login info (retrieved via POST)
           If the identity is confirmed, it sets $_SESSION fields to provide
           user info (username, and user_id)
           Regardless of the log in status, $get_vars from GET are kept
           
           NOTE: Must be included before *any* output (before sending headers)!
        */
        
        session_start();

        $logout = isset($_GET['logout']);
        if (!$logout && !isset($_SESSION['user_id']))
        {
            $tmp=false;
            if (isset($_COOKIE['user']))
                $tmp = explode(' ', $_COOKIE['user']);
            elseif (isset($_POST['login']) && isset($_POST['username'])
                    && isset($_POST['login_password']))
                $tmp = array (strip_tags($_POST['username']),
                              strip_tags($_POST['login_password']));
            
            $user_id=false;
            if (count($tmp) == 2)
            {
              require_once ('./common/function_caller.php');//'database'
              $user_id = database ('user_identify',
                                   $tmp[0], $tmp[1], session_id());
              if ($user_id)
              {
                $_SESSION['user_id']=$user_id;
                $_SESSION['username']=$tmp[0];
                setcookie ('user',$tmp[0].' '.session_id(),time()+60*60*24*31);
                //clear voted*/rated*
                foreach(array_keys($_SESSION) as $key)
                    if (substr($key,0,5)=='voted' || substr($key,0,5)=='rated')
                        unset ($_SESSION[$key]);
              }
              elseif (!isset($_COOKIE['user']))
                $_SESSION['last_message'] = L('loginfail');
            }
            $logout=!$user_id;
            unset($tmp, $user_id);
        }
        
        //allowed get variables
        $get_vars = array ('debate_id', 'invite_id', 'invite_hash');
        foreach ($get_vars as $tmp)
            if (isset($_GET[$tmp]))
                $_SESSION[$tmp] = strip_tags($_GET[$tmp]); 
        
        if ($logout)
        {
            if (isset($_COOKIE['user']))
                setcookie('user', '', "".time()-60*60);
            if (isset($_COOKIE[session_name()]))
                setcookie (session_name(), '', time()-60*60*24);
            unset($_SESSION['user_id'],
                  $_SESSION['username'],
                  $_SESSION['logout']);
            if ($_SESSION == array())
                session_destroy();
        }
    }
?>
