function post()
{
    /*
        Posts to a common function caller. Takes following arguments:
         0 Object(or its ID) which will take a new node with the returned XHTML
           if empty, it affects, it changes begavior of the function(see below)
         1 Name of the PHP function to which arguments will be passed
         2 3 4...-Objects(or their IDs) whose value will be passed as arguments
                  if argument 0 is empty (''), then raw strings to be passed
        Returns true on success, false on error (also see argumet 0).
    */
    
    if (arguments.length < 2)
        return false; //calling error!
    
    try
    {
        //create the XMLHttpRequest
	    if (window.XMLHttpRequest)
		    req = new XMLHttpRequest();
	    else if(window.ActiveXObject)
	        req = new ActiveXObject("Microsoft.XMLHTTP");
	    else
	        return false; //browser fail!
	}
    catch(e)
    {
        return false; //AJAX fail!
    }
     
    var retObj = arguments[0];
    function state()
    {
        //keep an eye on XMLHttp's state
        if (req.readyState == 4)
        {
            //in case of "request complete"
            var tmp=req.responseText;
            if (tmp != 'e')
            {
                
                /*
                    First letter of the returned string is either an 'H' - for
                    markup which is to be inserted into to a new div, or 'J'
                    to indicate that output is javascript code instead, which
                    is to be executed.
                */
                
                var type = tmp.substr(0,1);
                tmp = tmp.substr(1);
                
                if (type == 'H')
                {
                    if (typeof(retObj) != "object")
                        retObj = document.getElementById(retObj);
                    
                    var new_div = document.createElement('div');
                    retObj.appendChild (new_div);
                    
                    new_div.innerHTML = tmp;
                }
                else
                    eval(tmp);
                
                return true;
            }
            else
                return false; //send fail!
        }
    }
    
    req.open('POST', './post.php', true);//in base directory of the application
    req.onreadystatechange = state;
    //encode arguments. Each is numbered, eg: '0=function&1=arg&2=arg2':
    req.setRequestHeader('Content-Type','application/x-www-form-urlencoded');
    
    if (arguments.length <= 10)
    {
     tmp = '0='+encodeURIComponent(arguments[1]);//return object skipped
     for (var i=1; i<arguments.length-1; i++)
     {
      tmp+='&'+i+'=';
      if (arguments[0] != '')
      {
       if (typeof(arguments[i+1]) == 'object')
        tmp+=encodeURIComponent(arguments[i+1].value);
       else if (document.getElementById(arguments[i+1]))
        tmp+=encodeURIComponent(document.getElementById(arguments[i+1]).value);
      }
      else
        tmp+=encodeURIComponent(arguments[i+1]);
     }
    }
    else
        tmp = '0=error&1=post.js&2='+arguments.length;
    req.send(tmp);
    return true;
}

function toggle()
{
    /*
        toggle the display value of object/s that are passed (or whose ID is
        passed) as argument/s to the function
    */
    
    for (var i=0; i<arguments.length; i++)
    {
        if (typeof(arguments[i]) == "object")
            Obj = arguments[i];
        else
            Obj = document.getElementById(arguments[i]);
        
        if (Obj.style.display == 'none')
            Obj.style.display = '';
        else
            Obj.style.display = 'none';
    }
}
