<?php
    function login_stripe ()
    {
        /*
            Creates XHTML either with user's name and his/her available actions
            or the register/login form for users not yet authenticated.
            
            Additionally, since it's one of the first things to load that has
            already sent a header, and is omnipresent accross pages, this is
            where messages sent from other pages get printed via javascript
        */
        echo '
        <div class="container">'."\n";
        if (isset($_SESSION['username']))
        {
            echo '
            <div class="right">
               <p>
               <b>'.$_SESSION['username'].'</b>
               &nbsp;&nbsp;&nbsp;
               <a href="./newdebate.php"><b>'.L('newdebate').'</b></a>
               &nbsp;&nbsp;&nbsp;
               <a href="./redirect.php?logout">'.L('logout').'</a>
               </p>
            </div>'."\n";
        }
        else
        {
            if (isset($_SESSION['debate_id']))
                $tmp = '?debate_id='.$_SESSION['debate_id'];
            else
                $tmp = '';
            echo '
            <div class="right">
                <p>
                &nbsp;&nbsp;&nbsp;
                <a href="./newaccount.php">'.L('createaccount').'</a>
                </p>
            </div>
            <div class="right">
                <form action="./redirect.php'.$tmp.'" method="post">
                <p>
                    <input id="text" name="username" type="text"
                        class="light" value="'.L('username').'"
                        onfocus="if(this.value==\''.L('username').'\')
                                    {
                                    this.className=\'\';
                                    this.value=\'\';
                                    }"
                        onblur="if(this.value==\'\')
                                {
                                    this.className=\'light\';
                                    this.value=\''.L('username').'\';
                                }"
                    />
                    <input id="login_password1" type="text"
                        class="light" value="'.L('password').'"
                        onfocus="toggle(\'login_password1\', \'login_password2\');
                        document.getElementById(\'login_password2\').focus();"
                    />
                    <input id="login_password2" name="login_password" type="password"
                        style="display: none;"
                        onblur="if(this.value==\'\')
                                    toggle(\'login_password2\', \'login_password1\');"
                    />
                    <input name="login" value="'.L('login').'" type="submit" />
                </p>
                </form>
            </div>
            <div style="clear: both;"></div>'."\n";
        }
        echo '
        </div>'."\n";
        
        //shows messages from previous pages (eg. 'account created')
        if (isset($_SESSION['last_message']))
        {
            echo '
                <script>
                    setTimeout(\'alert("'.$_SESSION['last_message'].'");\', 100);
                </script>';
            unset ($_SESSION['last_message']);
        }
    }
?>
